# class Tk::Iwidgets::Scrolledframe

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

child_site() click to toggle source

    # File lib/tkextlib/iwidgets/scrolledframe.rb, line 22
    def child_site
      window(tk_call(@path, 'childsite'))
    end

justify(dir) click to toggle source

    # File lib/tkextlib/iwidgets/scrolledframe.rb, line 26
    def justify(dir)
      tk_call(@path, 'justify', dir)
      self
    end

xview(*index) click to toggle source

    # File lib/tkextlib/iwidgets/scrolledframe.rb, line 31
    def xview(*index)
      if index.size == 0
        list(tk_send_without_enc('xview'))
      else
        tk_send_without_enc('xview', *index)
        self
      end
    end

xview_moveto(*index) click to toggle source

    # File lib/tkextlib/iwidgets/scrolledframe.rb, line 39
    def xview_moveto(*index)
      xview('moveto', *index)
    end

xview_scroll(*index) click to toggle source

    # File lib/tkextlib/iwidgets/scrolledframe.rb, line 42
    def xview_scroll(*index)
      xview('scroll', *index)
    end

yview(*index) click to toggle source

    # File lib/tkextlib/iwidgets/scrolledframe.rb, line 46
    def yview(*index)
      if index.size == 0
        list(tk_send_without_enc('yview'))
      else
        tk_send_without_enc('yview', *index)
        self
      end
    end

yview_moveto(*index) click to toggle source

    # File lib/tkextlib/iwidgets/scrolledframe.rb, line 54
    def yview_moveto(*index)
      yview('moveto', *index)
    end

yview_scroll(*index) click to toggle source

    # File lib/tkextlib/iwidgets/scrolledframe.rb, line 57
    def yview_scroll(*index)
      yview('scroll', *index)
    end